QGIS Application - Bug report #7067
Scale bar map association lost on save & close in composer
2013-01-29 02:18 AM - Stuart Ladd

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:1.8.0 Regression?: No
Operating System: Windows XP Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 16151
Description

We have a map template with a print composer with 3 maps at different scales: In the scale bar drop down these are Map 0, Map 1, Map
2.

Maps 1 and 2 have scale bars on them.

When saving and closing, then reopening the project, the scale bar for Map 1 is associated with Map 2. You have to reset this every time.
Because it's intended for a different scale it expands way off the edge of the screen.

History

#1 - 2013-01-29 02:20 AM - Stuart Ladd

| should add that the Map 2 scale bar is also still associated to Map 2.

This may relate to resetting of scale bar parameters, mentioned in #4708

#2 - 2013-01-29 02:24 AM - Giovanni Manghi

- Operating System changed from Windows XP QGIS 1.8.0 to Windows XP
- Affected QGIS version changed from master to 1.8.0

- Status changed from Open to Feedback
- Category set to 33

Have you tested qgis master?

#3 - 2013-01-29 02:29 AM - Stuart Ladd

Not yet. Downloading nightly now (using OSGeo4W installer).

Sorry, using my work computers so, v slow. Will update in ~1hour.

#4 - 2013-01-29 02:55 AM - Stuart Ladd
- Status changed from Feedback to Closed

Apologies.

2025-04-27 12




Yes, loading the map in 1.9.0 correctly shows the scale bar (didn't even have to save it from 1.9 - loaded up the 1.8 file).

#5 - 2013-01-29 02:58 AM - Giovanni Manghi
- Resolution set to worksforme
